# class KAuthIcon | ABC for authorization icon widgets. More...
Contains pure virtuals
Definition | `#include <kauthicon.h>`
Inherits | QWidget (qt) [public ]
Inherited by | KRootPermsIcon, KWritePermsIcon
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KAuthIcon (QWidget *parent = 0, const char *name = 0)
- ~KAuthIcon ()
- virtual QSize sizeHint () const
- virtual bool status () const

#### Public Slots

- virtual void updateStatus ()

#### Signals

- void authChanged (bool authorized)

#### Protected Members

- QHBoxLayout *layout
- QLabel *lockBox
- QLabel *lockLabel
- QPixmap lockPM
- QPixmap openLockPM
- QString lockText
- QString openLockText

## Detailed Description

This is the base class from which different authorization icon widget which actually do something should be derived. You can use these widgets to show that the user has (or doesn't have) the ability to do something, and why that is.

One of the most useful things you can do with this is connect authChanged(bool) to setEnabled(bool) for a widget to turn it on and off depending on the status of whatever it is you are monitoring.

See also: KRootPermsIcon, KWritePermsIcon

KAuthIcon (QWidget *parent = 0, const char *name = 0) | ### KAuthIcon

Constructor.

~KAuthIcon () | ### ~KAuthIcon

QSize sizeHint () | ### sizeHint

[const virtual]

Reimplemented from QWidget.

bool status () | ### status

[const pure virtual]

return the status of whatever is being monitored.

void updateStatus () | ### updateStatus

[pure virtual slot]

Re-implement this method if you want the icon to update itself when something external has changed (i.e. a file on disk, uid/gid).

void authChanged (bool authorized) | ### authChanged

[signal]

this signal is emitted when authorization has changed from its previous state.

Parameters:

authorized | will be true if the type of authorization described by the icon is true, otherwise it will be false.

QHBoxLayout * layout | ### layout

[protected]

QLabel * lockBox | ### lockBox

[protected]

QLabel * lockLabel | ### lockLabel

[protected]

QPixmap lockPM | ### lockPM

[protected]

QPixmap openLockPM | ### openLockPM

[protected]

QString lockText | ### lockText

[protected]

QString openLockText | ### openLockText

[protected]

- Author: Preston Brown <pbrown@kde.org>
- Generated: root@sparc.ports.openbsd.org on Wed May 2 09:37:45 2001, using kdoc 2.0a53.